# Basics

### Endpoint URL

Please use the following endpoint to communicate with the API

[`https://perma.storedat.io/api/v1/graphql`](https://perma.storedat.io/api/v1/graphql)

### Public API Access

The following methods are available to the public for use without the need of an API Key (subject to [rate limits](#rate-limits))&#x20;

* [GetGlossaryTerm](/reference/api-reference/query/getglossaryterm.md)
* [GetDataFromArweave](/reference/api-reference/query/getdatafromarweave.md)
* [GetDataFromFilecoin](/reference/api-reference/query/getdatafromfilecoin.md)

### API Key protected Access

While there is a set of public endpoints available for use as mentioned in the above section, the Storedat API requires that you have the following two headers for the [GetData](/reference/api-reference/query/getdata.md) method (also subject to [rate limits](#rate-limits))

| Header          | Description                                                                                                                      |
| --------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| `client-id`     | A identifier representing you as a user of the API.  This will be provided to you upon signing up for the beta program           |
| `Authorization` | Your API Key required to be able to interact with the service. This will be provided to you upon signing up for the beta program |

The following should be passed into every request made to [GetData](/reference/api-reference/query/getdata.md) and [CreateData](/reference/api-reference/mutation/createdata.md)

```json
{
    "client-id": "your_client_id",
    "Authorization": "your_api_key"
}
```

Failure to do so or providing invalid credentials will lead to an error response from the server

### Rate limits

There are rate limits in place on the Stordat API to ensure fair use and to help avoid malicious attempts to bring down the service.  Those rates are as follows:

| Operation | Rate limit                                                     |
| --------- | -------------------------------------------------------------- |
| Query     | 50 calls per minute cumulative of all read oriented operations |

These rate limits are subject to change but will be reflected in this documentation if a change does occur


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storedat.io/reference/api-reference/basics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
